package com.ruoyi.model.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户对象 applet_users
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public class AppletUsers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户编号 */
    private Long userId;

    /** 逻辑删除 */
    private Integer delFlag;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updatorBy;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String userImage;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String userName;

    /** 用户状态 */
    @Excel(name = "用户状态")
    private Long userState;

    /** 用户电话 */
    @Excel(name = "用户电话")
    private String userTelephone;

    /** 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段 */
    @Excel(name = "只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段")
    private String unionid;

    /** 用户的标识，对当前公众号唯一 */
    @Excel(name = "用户的标识，对当前公众号唯一")
    private String openid;

    /** token */
    @Excel(name = "token")
    private String accessToken;

    /** 过期时间 */
    @Excel(name = "过期时间")
    private Long expiresIn;

    /** 刷新token */
    @Excel(name = "刷新token")
    private String refreshToken;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expireTime;

    /** 是否合伙人 */
    @Excel(name = "是否合伙人")
    private Long userHh;

    /** 是否伴宠师 */
    @Excel(name = "是否伴宠师")
    private Long userBcs;

    /** 钱包金额 */
    @Excel(name = "钱包金额")
    private BigDecimal price;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String invitationCode;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setUpdatorBy(String updatorBy) 
    {
        this.updatorBy = updatorBy;
    }

    public String getUpdatorBy() 
    {
        return updatorBy;
    }
    public void setUserImage(String userImage) 
    {
        this.userImage = userImage;
    }

    public String getUserImage() 
    {
        return userImage;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserState(Long userState) 
    {
        this.userState = userState;
    }

    public Long getUserState() 
    {
        return userState;
    }
    public void setUserTelephone(String userTelephone) 
    {
        this.userTelephone = userTelephone;
    }

    public String getUserTelephone() 
    {
        return userTelephone;
    }
    public void setUnionid(String unionid) 
    {
        this.unionid = unionid;
    }

    public String getUnionid() 
    {
        return unionid;
    }
    public void setOpenid(String openid) 
    {
        this.openid = openid;
    }

    public String getOpenid() 
    {
        return openid;
    }
    public void setAccessToken(String accessToken) 
    {
        this.accessToken = accessToken;
    }

    public String getAccessToken() 
    {
        return accessToken;
    }
    public void setExpiresIn(Long expiresIn) 
    {
        this.expiresIn = expiresIn;
    }

    public Long getExpiresIn() 
    {
        return expiresIn;
    }
    public void setRefreshToken(String refreshToken) 
    {
        this.refreshToken = refreshToken;
    }

    public String getRefreshToken() 
    {
        return refreshToken;
    }
    public void setExpireTime(Date expireTime) 
    {
        this.expireTime = expireTime;
    }

    public Date getExpireTime() 
    {
        return expireTime;
    }
    public void setUserHh(Long userHh) 
    {
        this.userHh = userHh;
    }

    public Long getUserHh() 
    {
        return userHh;
    }
    public void setUserBcs(Long userBcs) 
    {
        this.userBcs = userBcs;
    }

    public Long getUserBcs() 
    {
        return userBcs;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setInvitationCode(String invitationCode) 
    {
        this.invitationCode = invitationCode;
    }

    public String getInvitationCode() 
    {
        return invitationCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("updateTime", getUpdateTime())
            .append("updatorBy", getUpdatorBy())
            .append("userImage", getUserImage())
            .append("userName", getUserName())
            .append("userState", getUserState())
            .append("userTelephone", getUserTelephone())
            .append("unionid", getUnionid())
            .append("openid", getOpenid())
            .append("accessToken", getAccessToken())
            .append("expiresIn", getExpiresIn())
            .append("refreshToken", getRefreshToken())
            .append("expireTime", getExpireTime())
            .append("userHh", getUserHh())
            .append("userBcs", getUserBcs())
            .append("price", getPrice())
            .append("invitationCode", getInvitationCode())
            .toString();
    }
}
